import { OnInit } from '@angular/core';
/**
 * Button
 *
 * - Primary buttons stand out on purpose. They are used to indicate primary actions used within a creation flow or preview window.\n
 * - Secondary buttons
 *
 */
export declare class LeodsComponent implements OnInit {
    /**
     * Is this the principal call to action on the page?
     */
    primary: boolean;
    /**
     * What background color to use for test2
     */
    backgroundColor: string;
    /**
     * How large should the button be?
     */
    size: 'small' | 'medium' | 'large';
    /**
     * Button contents
     *
     * @required
     */
    label: string;
    constructor();
    ngOnInit(): void;
}
